##########################################################################################
### Config file for running MatchSignalsByImp.r
##########################################################################################

### Input Files and Parameters

# input file containing metabolite dataset 1 (dataset 1 samples x signals, abundance z-scores)
metDataFile1 <- "example_met_data_1.txt"

# profiling details of dataset 1 (add to lists below if more than 1 profiling method)
metInfoFiles1 <- c("example_met_info_1.txt") # file containing m/z and RT info
methods1 <- c("C8-pos") # profiling method name
ionModes1 <- c("POS") # ionization mode: "POS" (positive) or "NEG" (negative)

# input file containing metabolite dataset 2 (dataset 2 samples x signals, abundance z-scores)
metDataFile2 <- "example_met_data_2.txt"

# profiling details of dataset 2 (add to lists below if more than 1 profiling method)
metInfoFiles2 <- c("example_met_info_2.txt") # file containing m/z and RT info
methods2 <- c("C8-pos") # profiling method name
ionModes2 <- c("POS") # ionization mode: "POS" (postive) or "NEG" (negative)

# input file containing imputed dataset 1 (dataset 1 samples x dataset 2 signals)
#	generated by ImputeSignals.r
out_impFile1 <- "example_imp_data_1.txt"

# input file containing imputed dataset 2 (dataset 2 samples x dataset 1 signals)
#	generated by ImputeSignals.r
out_impFile2 <- "example_imp_data_2.txt"

# parameters for matching m/z values
mzWindow <- 0.005 # error window for calling two values to be identical
mzMode <- "noAdduct" # whether to check for alternative adduct ions: "noAdduct" (no) or "adduct" (yes)
posAdducts <- NA # does not consider adducts for "noAdduct" mode
negAdducts <- NA # does not consider adducts for "noAdduct" mode


### Output Files

# output files containing signal pairs matched using m/z + imputation
out_match12_imp1_File <- paste("example_1-2_MatchedSignals_ByImp1_",mzMode,"MzMode.txt",sep="")
out_match21_imp1_File <- paste("example_2-1_MatchedSignals_ByImp1_",mzMode,"MzMode.txt",sep="")
out_match12_imp2_File <- paste("example_1-2_MatchedSignals_ByImp2_",mzMode,"MzMode.txt",sep="")
out_match21_imp2_File <- paste("example_2-1_MatchedSignals_ByImp2_",mzMode,"MzMode.txt",sep="")
out_match12_impAll_File <- paste("example_1-2_MatchedSignals_ByImpAll_",mzMode,"MzMode.txt",sep="")
out_match21_impAll_File <- paste("example_2-1_MatchedSignals_ByImpAll_",mzMode,"MzMode.txt",sep="")

